"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.interactic = void 0;
const convertCommandArgs_1 = require("./convertCommandArgs");
const convertCommandOptions_1 = require("./convertCommandOptions");
const execa = require('execa');
async function spawnInteractiveChildProcess(commandSpec) {
    await execa(commandSpec.file, commandSpec.arguments, commandSpec.options).catch((error) => {
        throw new Error(`error with executing ${commandSpec.file}: ${error}`);
    });
}
async function interactic(commandSpecs, codeDir) {
    let i;
    for (i = 0; i < commandSpecs.length; i++) {
        const commandSpec = Object.assign({}, commandSpecs[i]);
        if (!commandSpec) {
            continue;
        }
        commandSpec.arguments = convertCommandArgs_1.convertCommandArgs(commandSpec.arguments, codeDir);
        if (!commandSpec.options)
            commandSpec.options = {};
        commandSpec.options = convertCommandOptions_1.convertCommandOptions(commandSpec.options, codeDir);
        commandSpec.options.stdio = 'inherit';
        await spawnInteractiveChildProcess(commandSpec);
    }
}
exports.interactic = interactic;
